Index: palm/trunk/SOURCE/ocean_mod.f90
===================================================================
--- palm/trunk/SOURCE/ocean_mod.f90	(revision 4796)
+++ palm/trunk/SOURCE/ocean_mod.f90	(revision 4797)
@@ -2393,20 +2368,19 @@
              DO  j = nys, nyn
                 DO  k = nzb+1, nzt
-                   tend(k,j,i) = tend(k,j,i) + u_stokes_zw(k) * (              &
-                                             0.5 * ( u(k+1,j,i) - u(k,j,i)     &
-                                                   + u(k+1,j,i+1) - u(k,j,i+1) &
-                                                   ) * ddzu(k+1)               &
-                                           - 0.5 * ( w(k,j,i+1) - w(k,j,i-1)   &
-                                                   ) * ddx      )              &
-                                             - v_stokes_zw(k) * (              &
-                                             0.5 * ( w(k,j+1,i) - w(k,j-1,i)   &
-                                                   ) * ddy                     &
-                                           - 0.5 * ( v(k+1,j,i) - v(k,j,i)     &
-                                                   + v(k+1,j+1,i) - v(k,j+1,i) &
-                                                   ) * ddzu(k)  )              &
-                                           + fs * (                            &
-                                               sin_rot_angle * v_stokes_zw(k)  &
-                                             + cos_rot_angle * u_stokes_zw(k)  &
-                                                  )
+                   tend(k,j,i) = tend(k,j,i) + u_stokes_zw(k) *   (                                &
+                                                   0.5 * ( u(k+1,j,i) - u(k,j,i)                   &
+                                                         + u(k+1,j,i+1) - u(k,j,i+1)               &
+                                                         ) * ddzu(k+1)                             &
+                                                 - 0.5 * ( w(k,j,i+1) - w(k,j,i-1)                 &
+                                                         ) * ddx  )                                &
+                                             - v_stokes_zw(k) *      (                             &
+                                                   0.5 * ( w(k,j+1,i) - w(k,j-1,i)                 &
+                                                         ) * ddy                                   &
+                                                 - 0.5 * ( v(k+1,j,i) - v(k,j,i)                   &
+                                                         + v(k+1,j+1,i) - v(k,j+1,i)               &
+                                                         ) * ddzu(k) )                             &
+                                              + fs * (   sin_rot_angle * v_stokes_zw(k)            &
+                                                       + cos_rot_angle * u_stokes_zw(k)            &
+                                                     )
                 ENDDO
              ENDDO
@@ -2414,6 +2388,5 @@
 
        CASE DEFAULT
-          WRITE( message_string, * ) 'wrong component of Stokes force: ',      &
-                                     component
+          WRITE( message_string, * ) 'wrong component of Stokes force: ', component
           CALL message( 'stokes_drift_terms', 'PA0091', 1, 2, 0, 6, 0 )
 
@@ -2423,28 +2396,27 @@
 
 
-!------------------------------------------------------------------------------!
-! Description:
-! ------------
-!> This routine calculates the Craik Leibovich vortex force and the additional
-!> effect of the Stokes drift on the Coriolis force
+!--------------------------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> This routine calculates the Craik Leibovich vortex force and the additional effect of the Stokes
+!> drift on the Coriolis force.
 !> Call for gridpoints i,j.
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 
  SUBROUTINE stokes_drift_terms_ij( i, j, component )
 
-    USE arrays_3d,                                                             &
-        ONLY:  ddzu, u, u_stokes_zu, u_stokes_zw, v, v_stokes_zu,              &
-               v_stokes_zw, w, tend
-
-    USE basic_constants_and_equations_mod,                                     &
+    USE arrays_3d,                                                                                 &
+        ONLY:  ddzu, u, u_stokes_zu, u_stokes_zw, v, v_stokes_zu, v_stokes_zw, w, tend
+
+    USE basic_constants_and_equations_mod,                                                         &
         ONLY:  pi
 
-    USE control_parameters,                                                    &
+    USE control_parameters,                                                                        &
         ONLY:  f, fs, message_string, rotation_angle
 
-    USE grid_variables,                                                        &
+    USE grid_variables,                                                                            &
         ONLY:  ddx, ddy
 
-    USE indices,                                                               &
+    USE indices,                                                                                   &
         ONLY:  nzb, nzt
 
@@ -2459,4 +2431,5 @@
     REAL(wp)     ::  sin_rot_angle  !< sine of model rotation angle
 
+
 !
 !-- Compute Stokes terms for the respective velocity components
@@ -2467,9 +2440,9 @@
        CASE ( 1 )
           DO  k = nzb+1, nzt
-             tend(k,j,i) = tend(k,j,i) + v_stokes_zu(k) * (                    &
-                                     0.5 * ( v(k,j+1,i) - v(k,j+1,i-1)         &
-                                           + v(k,j,i)   - v(k,j,i-1)   ) * ddx &
-                                   - 0.5 * ( u(k,j+1,i) - u(k,j-1,i) )   * ddy &
-                                                          )                    &
+             tend(k,j,i) = tend(k,j,i) + v_stokes_zu(k) * (                                        &
+                                              0.5 * ( v(k,j+1,i) - v(k,j+1,i-1)                    &
+                                                    + v(k,j,i)   - v(k,j,i-1)   ) * ddx            &
+                                            - 0.5 * ( u(k,j+1,i) - u(k,j-1,i) )   * ddy            &
+                                                          )                                        &
                                        + f * v_stokes_zu(k)
           ENDDO
@@ -2478,9 +2451,9 @@
        CASE ( 2 )
           DO  k = nzb+1, nzt
-             tend(k,j,i) = tend(k,j,i) - u_stokes_zu(k) * (                    &
-                                     0.5 * ( v(k,j,i+1) - v(k,j,i-1) )   * ddx &
-                                   - 0.5 * ( u(k,j,i) - u(k,j-1,i)             &
-                                           + u(k,j,i+1) - u(k,j-1,i+1) ) * ddy &
-                                                          )                    &
+             tend(k,j,i) = tend(k,j,i) - u_stokes_zu(k) * (                                        &
+                                              0.5 * ( v(k,j,i+1) - v(k,j,i-1) )   * ddx            &
+                                            - 0.5 * ( u(k,j,i) - u(k,j-1,i)                        &
+                                                    + u(k,j,i+1) - u(k,j-1,i+1) ) * ddy            &
+                                                          )                                        &
                                        - f * u_stokes_zu(k)
           ENDDO
@@ -2496,18 +2469,16 @@
 
           DO  k = nzb+1, nzt
-             tend(k,j,i) = tend(k,j,i) + u_stokes_zw(k) * (              &
-                                     0.5 * ( u(k+1,j,i) - u(k,j,i)     &
-                                                   + u(k+1,j,i+1) - u(k,j,i+1) &
-                                                   ) * ddzu(k+1)               &
-                                           - 0.5 * ( w(k,j,i+1) - w(k,j,i-1)   &
-                                                   ) * ddx )                   &
-                                       - v_stokes_zw(k) * (                    &
-                                             0.5 * ( w(k,j+1,i) - w(k,j-1,i)   &
-                                                   ) * ddy                     &
-                                           - 0.5 * ( v(k+1,j,i) - v(k,j,i)     &
-                                                   + v(k+1,j+1,i) - v(k,j+1,i) &
-                                                   ) * ddzu(k)  )              &
-                                       + fs * ( sin_rot_angle * v_stokes_zw(k) &
-                                              + cos_rot_angle * u_stokes_zw(k) &
+             tend(k,j,i) = tend(k,j,i) + u_stokes_zw(k) * ( 0.5 * ( u(k+1,j,i) - u(k,j,i)          &
+                                                                  + u(k+1,j,i+1) - u(k,j,i+1)      &
+                                                                  ) * ddzu(k+1)                    &
+                                                          - 0.5 * ( w(k,j,i+1) - w(k,j,i-1)        &
+                                                                  ) * ddx      )                   &
+                                       - v_stokes_zw(k) * ( 0.5 * ( w(k,j+1,i) - w(k,j-1,i)        &
+                                                                  ) * ddy                          &
+                                                          - 0.5 * ( v(k+1,j,i) - v(k,j,i)          &
+                                                                  + v(k+1,j+1,i) - v(k,j+1,i)      &
+                                                                  ) * ddzu(k)  )                   &
+                                       + fs * ( sin_rot_angle * v_stokes_zw(k)                     &
+                                              + cos_rot_angle * u_stokes_zw(k)                     &
                                               )
           ENDDO
@@ -2522,22 +2493,22 @@
 
 
-!------------------------------------------------------------------------------!
-! Description:
-! ------------
-!> This routine calculates turbulence generated by wave breaking near the ocean
-!> surface, following a parameterization given in Noh et al. (2004), JPO
+!--------------------------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> This routine calculates turbulence generated by wave breaking near the ocean surface, following
+!> a parameterization given in Noh et al. (2004), JPO
 !> Call for all gridpoints.
-!> TODO: so far, this routine only works if the model time step has about the
-!>       same value as the time scale of wave breaking!
-!------------------------------------------------------------------------------!
+!> TODO: so far, this routine only works if the model time step has about the same value as the time
+!>       scale of wave breaking!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE wave_breaking_term( component )
 
-    USE arrays_3d,                                                             &
+    USE arrays_3d,                                                                                 &
         ONLY:  u_p, v_p
 
-    USE control_parameters,                                                    &
+    USE control_parameters,                                                                        &
         ONLY:  dt_3d, message_string
 
-    USE indices,                                                               &
+    USE indices,                                                                                   &
         ONLY:  nxl, nxlu, nxr, nys, nysv, nyn, nzt
 
@@ -2548,6 +2519,5 @@
     INTEGER(iwp) ::  j          !< loop index along y
 
-    REAL(wp) ::  random_gauss  !< function that creates a random number with a
-                               !< Gaussian distribution
+    REAL(wp) ::  random_gauss  !< function that creates a random number with a Gaussian distribution
 
 
@@ -2562,7 +2532,7 @@
           DO  i = nxlu, nxr
              DO  j = nys, nyn
-                u_p(nzt,j,i) = u_p(nzt,j,i) +                                  &
-                               ( random_gauss( iran_ocean, 1.0_wp ) - 1.0_wp ) &
-                               * alpha_wave_breaking * u_star_wave_breaking    &
+                u_p(nzt,j,i) = u_p(nzt,j,i) +                                                      &
+                               ( random_gauss( iran_ocean, 1.0_wp ) - 1.0_wp )                     &
+                               * alpha_wave_breaking * u_star_wave_breaking                        &
                                / timescale_wave_breaking * dt_3d
              ENDDO
@@ -2573,7 +2543,7 @@
           DO  i = nxl, nxr
              DO  j = nysv, nyn
-                v_p(nzt,j,i) = v_p(nzt,j,i) +                                  &
-                               ( random_gauss( iran_ocean, 1.0_wp ) - 1.0_wp ) &
-                               * alpha_wave_breaking * u_star_wave_breaking    &
+                v_p(nzt,j,i) = v_p(nzt,j,i) +                                                      &
+                               ( random_gauss( iran_ocean, 1.0_wp ) - 1.0_wp )                     &
+                               * alpha_wave_breaking * u_star_wave_breaking                        &
                                / timescale_wave_breaking * dt_3d
              ENDDO
@@ -2581,6 +2551,5 @@
 
        CASE DEFAULT
-          WRITE( message_string, * ) 'wrong component of wave breaking: ',     &
-                                     component
+          WRITE( message_string, * ) 'wrong component of wave breaking: ', component
           CALL message( 'stokes_drift_terms', 'PA0466', 1, 2, 0, 6, 0 )
 
@@ -2590,22 +2559,22 @@
 
 
-!------------------------------------------------------------------------------!
-! Description:
-! ------------
-!> This routine calculates turbulence generated by wave breaking near the ocean
-!> surface, following a parameterization given in Noh et al. (2004), JPO
+!--------------------------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> This routine calculates turbulence generated by wave breaking near the ocean surface, following a
+!> parameterization given in Noh et al. (2004), JPO
 !> Call for gridpoint i,j.
-!> TODO: so far, this routine only works if the model time step has about the
-!>       same value as the time scale of wave breaking!
-!------------------------------------------------------------------------------!
+!> TODO: so far, this routine only works if the model time step has about the same value as the time
+!> scale of wave breaking!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE wave_breaking_term_ij( i, j, component )
 
-    USE arrays_3d,                                                             &
+    USE arrays_3d,                                                                                 &
         ONLY:  u_p, v_p
 
-    USE control_parameters,                                                    &
+    USE control_parameters,                                                                        &
         ONLY:  dt_3d, message_string
 
-    USE indices,                                                               &
+    USE indices,                                                                                   &
         ONLY:  nzt
 
@@ -2616,6 +2585,5 @@
     INTEGER(iwp) ::  j          !< loop index along y
 
-    REAL(wp) ::  random_gauss  !< function that creates a random number with a
-                               !< Gaussian distribution
+    REAL(wp) ::  random_gauss  !< function that creates a random number with a Gaussian distribution
 
 !
@@ -2626,18 +2594,17 @@
 !--    u-/v-component
        CASE ( 1 )
-          u_p(nzt,j,i) = u_p(nzt,j,i) +                                        &
-                         ( random_gauss( iran_ocean, 1.0_wp ) - 1.0_wp )       &
-                         * alpha_wave_breaking * u_star_wave_breaking          &
+          u_p(nzt,j,i) = u_p(nzt,j,i) +                                                            &
+                         ( random_gauss( iran_ocean, 1.0_wp ) - 1.0_wp )                           &
+                         * alpha_wave_breaking * u_star_wave_breaking                              &
                          / timescale_wave_breaking * dt_3d
 
        CASE ( 2 )
-          v_p(nzt,j,i) = v_p(nzt,j,i) +                                        &
-                         ( random_gauss( iran_ocean, 1.0_wp ) - 1.0_wp )       &
-                         * alpha_wave_breaking * u_star_wave_breaking          &
+          v_p(nzt,j,i) = v_p(nzt,j,i) +                                                            &
+                         ( random_gauss( iran_ocean, 1.0_wp ) - 1.0_wp )                           &
+                         * alpha_wave_breaking * u_star_wave_breaking                              &
                          / timescale_wave_breaking * dt_3d
 
        CASE DEFAULT
-          WRITE( message_string, * ) 'wrong component of wave breaking: ',     &
-                                     component
+          WRITE( message_string, * ) 'wrong component of wave breaking: ', component
           CALL message( 'stokes_drift_terms', 'PA0466', 1, 2, 0, 6, 0 )
 
Index: palm/trunk/SOURCE/outflow_turbulence.f90
===================================================================
--- palm/trunk/SOURCE/outflow_turbulence.f90	(revision 4796)
+++ palm/trunk/SOURCE/outflow_turbulence.f90	(revision 4797)
@@ -1,30 +1,32 @@
 !> @file outflow_turbulence.f90
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! This file is part of the PALM model system.
 !
-! PALM is free software: you can redistribute it and/or modify it under the
-! terms of the GNU General Public License as published by the Free Software
-! Foundation, either version 3 of the License, or (at your option) any later
-! version.
+! PALM is free software: you can redistribute it and/or modify it under the terms of the GNU General
+! Public License as published by the Free Software Foundation, either version 3 of the License, or
+! (at your option) any later version.
 !
-! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
-! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
+! implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+! Public License for more details.
 !
-! You should have received a copy of the GNU General Public License along with
-! PALM. If not, see <http://www.gnu.org/licenses/>.
+! You should have received a copy of the GNU General Public License along with PALM. If not, see
+! <http://www.gnu.org/licenses/>.
 !
 ! Copyright 1997-2020 Leibniz Universitaet Hannover
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 !
 ! Current revisions:
 ! -----------------
-! 
-! 
+!
+!
 ! Former revisions:
 ! -----------------
 ! $Id: outflow_turbulence.f90 3241 2018-09-12 15:02:00Z raasch $
+! file re-formatted to follow the PALM coding standard
+!
+! 3241 2018-09-12 15:02:00Z raasch
 ! Corrected "Former revisions" section
-! 
+!
 ! 3241 2018-09-12 15:02:00Z raasch
 ! unused variables removed
@@ -32,32 +34,31 @@
 ! 2050 2016-11-08 15:00:55Z gronemeier
 ! Initial version
-! 
+!
 !
 ! Description:
 ! ------------
-!> Routine based on inflow_turbulence.f90. Copies values of 3d data from a 2d
-!> vertical source plane (defined by outflow_source_plane) to the outflow
-!> boundary.
-!------------------------------------------------------------------------------!
+!> Routine based on inflow_turbulence.f90. Copies values of 3d data from a 2d vertical source plane
+!> (defined by outflow_source_plane) to the outflow boundary.
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE outflow_turbulence
 
-    USE arrays_3d,                                                             &
+    USE arrays_3d,                                                                                 &
         ONLY:  e, pt, q, s, u, v, w
 
-    USE control_parameters,                                                    &
+    USE control_parameters,                                                                        &
         ONLY:  humidity, passive_scalar, outflow_source_plane
 
-    USE cpulog,                                                                &
+    USE cpulog,                                                                                    &
         ONLY:  cpu_log, log_point
 
-    USE grid_variables,                                                        &
+    USE grid_variables,                                                                            &
         ONLY:  ddx
 
-    USE indices,                                                               &
+    USE indices,                                                                                   &
         ONLY:  nbgp, nx, nxr, nyn, nys, nyng, nysg, nzb, nzt
 
     USE kinds
 
-    USE pegrid!,                                                                &
+    USE pegrid!,                                                                                    &
         !ONLY:  comm1dx, id_outflow, id_outflow_source, ierr, myidx, status
 
@@ -70,6 +71,5 @@
     INTEGER(iwp) ::  ngp_ofv  !< number of grid points stored in outflow_val
 
-    REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,7,nbgp) ::                         &
-       outflow_val            !< values to be copied to the outflow boundary
+    REAL(wp), DIMENSION(nzb:nzt+1,nysg:nyng,7,nbgp) ::  outflow_val  !< values to be copied to the outflow boundary
 
 
@@ -94,7 +94,7 @@
                 outflow_val(k,j,4,l) = pt(k,j,i)
                 outflow_val(k,j,5,l) = e(k,j,i)
-                IF ( humidity  )                                               &
+                IF ( humidity  )                                                                   &
                    outflow_val(k,j,6,l) = q(k,j,i)
-                IF ( passive_scalar )                                          &
+                IF ( passive_scalar )                                                              &
                    outflow_val(k,j,7,l) = s(k,j,i)
 
@@ -115,7 +115,7 @@
              outflow_val(k,j,4,l) = pt(k,j,i)
              outflow_val(k,j,5,l) = e(k,j,i)
-             IF ( humidity  )                                                  &
+             IF ( humidity  )                                                                      &
                 outflow_val(k,j,6,l) = q(k,j,i)
-             IF ( passive_scalar )                                             &
+             IF ( passive_scalar )                                                                 &
                 outflow_val(k,j,7,l) = s(k,j,i)
 
@@ -131,12 +131,11 @@
     IF ( myidx == id_outflow_source  .AND.  myidx /= id_outflow )  THEN
 
-       CALL MPI_SEND( outflow_val(nzb,nysg,1,1), ngp_ofv, MPI_REAL,            &
-                      id_outflow, 1, comm1dx, ierr )
+       CALL MPI_SEND( outflow_val(nzb,nysg,1,1), ngp_ofv, MPI_REAL, id_outflow, 1, comm1dx, ierr )
 
     ELSEIF ( myidx /= id_outflow_source  .AND.  myidx == id_outflow )  THEN
 
        outflow_val = 0.0_wp
-       CALL MPI_RECV( outflow_val(nzb,nysg,1,1), ngp_ofv, MPI_REAL,            &
-                      id_outflow_source, 1, comm1dx, status, ierr )
+       CALL MPI_RECV( outflow_val(nzb,nysg,1,1), ngp_ofv, MPI_REAL, id_outflow_source, 1, comm1dx, &
+                      status, ierr )
 
     ENDIF
@@ -157,7 +156,7 @@
              e(k,j,nx+1:nx+nbgp)  = MAX( e(k,j,nx+1:nx+nbgp), 0.0_wp )
 
-             IF ( humidity )                                                   &
+             IF ( humidity )                                                                       &
                 q(k,j,nx+1:nx+nbgp)  = outflow_val(k,j,6,1:nbgp)
-             IF ( passive_scalar )                                             &
+             IF ( passive_scalar )                                                                 &
                 s(k,j,nx+1:nx+nbgp)  = outflow_val(k,j,7,1:nbgp)
 
